<div class="row justify-content-center">
    <div class="col-8">
        <div *ngIf="staff">
            <h2><span>Staff</span> {{ staff.id }}</h2>

            <hr>

            <jhi-alert-error></jhi-alert-error>

            <dl class="row-md jh-entity-details">
                <dt><span>First Name</span></dt>
                <dd>
                    <span>{{ staff.firstName }}</span>
                </dd>
                <dt><span>Last Name</span></dt>
                <dd>
                    <span>{{ staff.lastName }}</span>
                </dd>
                <dt><span>Email</span></dt>
                <dd>
                    <span>{{ staff.email }}</span>
                </dd>
                <dt><span>Password</span></dt>
                <dd>
                    <span>{{ staff.password }}</span>
                </dd>
                <dt><span>Status</span></dt>
                <dd>
                    <span>{{ staff.status }}</span>
                </dd>
                <dt><span>Login Type</span></dt>
                <dd>
                    <span>{{ staff.loginType }}</span>
                </dd>
                <dt><span>Team</span></dt>
                <dd>
                    <div *ngIf="staff.team">
                        <a [routerLink]="['/team', staff.team?.id, 'view']">{{ staff.team?.id }}</a>
                    </div>
                </dd>
            </dl>

            <button type="submit"
                    (click)="previousState()"
                    class="btn btn-info">
                <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span>Back</span>
            </button>

            <button type="button"
                    [routerLink]="['/staff', staff.id, 'edit']"
                    class="btn btn-primary">
                <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span>Edit</span>
            </button>
        </div>
    </div>
</div>
